version 9.2
global stub ch11_f05
/*
	Function approximation with FPs.	
	Approximate quantile function of chisquare(3) from P-value.
	Uses ch11_t02.dta created by ch11_t02.do.
*/
set more off
mvmb_load

use ch11_t02, replace
qui fracpoly regress c pval, degree(3)
predict cf
gen abserr = abs(cf-c)
gen pcerr = 100*(cf-c)/c

global stuff sort lwidth(medthick) xtitle("") 
line c pval, $stuff ytitle("Quantile function of chisquare(3)") name(g1, replace) nodraw
line cf pval, $stuff ytitle("Fitted values") name(g2, replace) nodraw
line abserr pval, $stuff ytitle("Absolute error") name(g3, replace) nodraw
line pcerr pval, $stuff ytitle("Percentage error") yli(0) name(g4, replace) nodraw

graph combine g1 g2 g3 g4, sav($stub, replace) b2title("P-value") nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2 g3 g4
set more on
