version 9.2
global stub ch11_t02
/*
	Function approximation with FPs.
	Approximate quantile function of chisquare(3) from P-value.
	Saves results in ch11_t02.dta for plotting by ch11_f05.do.
*/
set more off
local stub $stub
mvmb_load
mvmb_logopen

clear
set obs 1000
local zs .1
local ze .999
gen p = `zs'+((`ze'-`zs')*(_n-1)/(_N-1))
gen pval = 1-p
gen c = invchi2(3,p)
save `stub', replace

forval j=1/5{
	qui fracpoly regress c pval, deg(`j')
	if `j'==3 loca pwrs `e(fp_pwrs)'
	di `j', e(rmse), " `e(fp_pwrs)'"
}

* Display FP3 model
fracgen pval `pwrs', noscaling
regress c pval_*

log close
set more on
