version 9.2
global stub ch4_f04
/*
	Reproduce FP curves similar to Royston & Altman (1994) paper.
*/
set more off
mvmb_load
drop _all
infile byte gph y x using ch4_f04.dat
replace y = 23063-y
replace x = x-1139 if gph==1
replace x = x-18363 if gph==2
replace x = x-1037 if gph==3
replace x = x-17467 if gph==4

forval X=1/4 {
	sum y if gph==`X'
	replace y = (y-r(min))/(r(max)-r(min)) if gph==`X'
}

qui bysort gph: replace x = x/x[_N]

forval X=1/4 {
	qui fracpoly regress y x if gph==`X', powers(-1 -.5 0 .5 1 2 3)
	predict f`X' if gph==`X'
	qui sum f`X' if gph==`X'
	qui replace f`X' = (f`X'-r(min))/(r(max)-r(min)) if gph==`X'
}

forval X=1/4 {
	qui sum x if gph==`X'
	qui replace x = (x-r(min))/(r(max)-r(min)) if gph==`X'
}

global stuff xscale(r(0 1) off) yscale(r(0 1) off) sort 

line f1 x if gph==1, $stuff title("(-0.5, 0)", pos(11)) name(g1, replace)
line f2 x if gph==2, $stuff title("(-1, 3)",   pos(11)) name(g2, replace)
line f3 x if gph==3, $stuff title("(-1, -1)",  pos(11)) name(g3, replace)
line f4 x if gph==4, $stuff title("(-1, -1)",  pos(11)) name(g4, replace)

graph combine g1 g2 g3 g4, sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2 g3 g4
set more on
