version 9.2
global stub ch4_f09
/*
	Whitehall 1 data.
	5 best functions for FP2 for systolic BP.
*/
set more off
mvmb_load whitehall1

* p(die) for individual SBP values
gen int sbpcat = sysbp
forval sbp = 101(3)199 {
	qui replace sbpcat=`sbp' if sysbp>=`sbp' & sysbp<=(`sbp'+2)
}
forval sbp = 200(10)219 {
	qui replace sbpcat=`sbp' if sysbp>=`sbp' & sysbp<=(`sbp'+9)
}
qui replace sbpcat = 90 if sysbp<=90
qui replace sbpcat = 91 if sysbp>=91 & sysbp<=95
qui replace sbpcat = 96 if sysbp>=96 & sysbp<=100
qui replace sbpcat = 220 if sysbp>=220
qui byvar sbpcat, r(mean) gen : sum sysbp
rename Rmean_ meansbp

sort sbpcat
qui by sbpcat: gen p = sum(all10)/_N
qui by sbpcat: gen n = _N	// group size
gen w = n	// sample size
gen logitp = logit(p)

sort sbpcat
qui by sbpcat: replace logitp = . if _n<_N

local j 0
qui foreach p in "-2 -2" "-2 -1" "-2 -0.5" "-1 -1" "-2 0" {
	fracpoly logit all10 sysbp `p'
	local ++j
	local p`j' `p'
	predict f`j', xb
	by sbpcat: replace f`j' = . if _n<_N
	local a: word 1 of `p'
	local b: word 2 of `p'
	local fp`j' FP2(`a', `b')
}
clp
replace sysbp = . if sysbp>240	// to make plot scale behave

twoway (scatter logitp meansbp [w=w], msymbol(oh) msize(vsmall) mcolor(gs10)) ///
 (line f1 f2 f3 f4 f5 sysbp, sort clp($clp) lwidth(medthick ..) lcolor(gs4 ..)) ///
 , xtitle("sbp (systolic blood pressure, mm Hg)") ytitle(Log odds of dying) ///
 legend(order(2 3 4 5 6) label(2 "`fp1'") label(3 "`fp2'") label(4 "`fp3'") label(5 "`fp4'") ///
 label(6 "`fp5'") ring(0) col(1) pos(11)) xla(80(40)240) ///
 sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub
set more on
