version 9.2
global stub ch4_f10
/*
	Prostate cancer data.
	Plots of functions for spike-at-zero example with Gleason score (pgg45).
*/
set more off
mvmb_load prostate_ca

local rob pgg45
gen byte `rob'_0 = `rob'<.01
gen x = cond(pgg45==0, 0, pgg45+1)

fracpoly reg lpsa `rob'_0 1
predict f0
fracpoly reg lpsa x 1, catzero(x)
predict f1
fracpoly reg lpsa x -0.5, catzero(x)
predict f2
fracpoly reg lpsa x 1 3, catzero(x)
predict f3

gen f00 = f0
qui replace f00 = . if pgg45>0
forval j=0/3{
	qui replace f`j' = . if pgg45==0
}
qui sum lpsa if pgg45>0
qui replace f0 = cond(pgg45>0, r(mean), .)

twoway (scatter f00 pgg45) ///
 (line f0 f1 f2 f3 pgg45, sort clp(l - _ -_) xtitle("% Gleason score 4 or 5", size(large)) ///
 ytitle("Fitted values of lpsa", size(large)) ///
 legend(order(1 2 3 4 5) label(1 "Mean lpsa at `rob' = 0") ///
 label(2 "Mean lpsa at `rob' > 0") label(3 "Linear + z") ///
 label(4 "FP1+(-0.5) + z") label(5 "FP2+(1, 3) + z") ring(0) pos(5) col(1))) ///
 , sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub
set more on
