version 9.2
global stub ch5_f01
/*
	Educational body fat data.
	FP2 and linear fits to abdominal circumference.
*/
set more off
mvmb_load edu_bodyfat
qui {
	set obs 274
	replace ab = _n-126 in 253/274
	gen byte case39 = (case==39)

	fracpoly regress pcfat ab 3 3, all
	predict fit1
	regress pcfat ab if !case39
	predict fit2
}
global stuff1 clp(l -) sort ylab(0(20)60) xlab(70(20)150) lcolor(gs4 ..) lwidth(medthick ..)
twoway scatter pcfat ab, ms(oh) || line fit1 fit2 ab, $stuff1 ///
 ytitle("Percentage bodyfat") xtitle("Abdominal circumference") ///
 leg(label(2 "FP2 (3,3)") label(3 Linear) order(2 3) col(1) ring(0) pos(11)) ///
 text(34 148 "Case 39", place(sw)) sav(${stub}, replace) nodraw

gph2emf $stub
gph2eps $stub

set more on
