version 9.2
global stub ch5_f02
/*
	Educational body fat data.
	Deviance difference for FP2 vs linear on leave one out.
*/
set more off
mvmb_load edu_bodyfat

fpdiagnostic regress pcfat ab using ch5_f02_1, case

preserve

use ch5_f02_1, replace

gen devdif = devlin-devfp2

* Note that case is recreated by fpdiagnostic.ado as _n irrespective of missing observations.

scatter devdif case, xlab(0(100)200 39) ylab(0(5)20 7.81) xsca(r(0 252)) yline(7.81, lwidth(vthin) lpattern(dash)) ///
 xline(39, lwidth(vthin) lpattern(dash)) ///
 xtitle("Case number") ytitle("Deviance difference, FP2 vs linear") ///
 ms(oh) name(g1, replace) nodraw


* Plot against unique X

restore

fpdiagnostic regress pcfat ab using ch5_f02_2

use ch5_f02_2, replace

gen devdif = devlin-devfp2

scatter devdif x [fw=freq], xlab(70(20)130 148.1) ylab(0(5)20 7.81) yline(7.81, lwidth(vthin) lpattern(dash)) ///
 xline(148.1, lwidth(vthin) lpattern(dash)) text(1.3 137 "Case 39") msize(*.66667) ///
 xtitle("Abdominal circumference") ytitle("Deviance difference, FP2 vs linear") ///
 ms(oh) name(g2, replace) nodraw

graph combine g1 g2, sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2
set more on
