version 9.2
global stub ch5_f06
/*
	Behaviour of function g(z, eps) over z=[-5,5] for eps=.01.
*/
set more off
mvmb_load
drop _all
set obs 200
gen z = -5+10*(_n-1)/(_N-1)
local eps .01
gdelta g = z, epsilon(`eps') delta(0) nostandardize

local limit 2.8
global stuff xtitle("x") ytitle("g(x)") lwidth(medthick ..) ///
 xline(-`limit' `limit', lwidth(vthin) lcolor(gs4) lpattern(dash)) ///
 xla(-4(2)4 -`limit' `limit') clp(l -) ///
 legend(lab(1 "g(x)") lab(2 "Linear") pos(11) ring(0) col(1)) ///
 yline(0 1, lwidth(vthin) lcolor(gs4) lpattern(dash))

regress g z if abs(z)<2.783
predict gf
line g gf z, $stuff sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub
set more on
