version 9.2
global stub ch6_f03
/*
	Prostate data.
	Plot of 1st derivative for cavol.
*/
set more off
mvmb_load prostate_ca

centile cavol , c(10 50 90)
forv j=1/3{
	local x`j' = r(c_`j')
}

fracpoly reg lpsa cavol 0 svi weight, adj(no) all
fracdydx, gen(d) gense(sd)

gen lld = d-1.96*sd
gen uld = d+1.96*sd

residual_plot_cmd d lld uld cavol, nozero

twoway `r(cmd2)' `r(cmd3)' , xtitle("cavol (ml), log scale") ///
 xsca(log) xla(.5 1 2 5 10 20 50) yli(.066) xli(`x1' `x2' `x3') ///
 ytitle("First derivative of partial predictor") sav(${stub}, replace) nodraw

gph2emf $stub
gph2eps $stub

set more on
