version 9.2
global stub ch6_f04
/*
	Prostate data.
	Showing effects of outlier in weight.
*/
set more off
mvmb_load prostate_ca
mvmb_logopen

// "Uncorrect" weight by restoring outlier at 449 grams.
replace weight = weight*10 if weight > 44.9 & weight < 45.0

// MFP(.05)
mfp regress lpsa cavol svi pgg45 weight bph cp age, select(.05)

fracplot weight, title(" ") xtitle("Prostate weight", size(large)) ms(oh) mcolor(gs12) ///
 ytitle("Partial predictor + 95% CI", size(large)) xla(0(150)450) sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub

log close
set more on
