version 9.2
global stub ch6_f08
/*
	Prostate data.
	Reconstruction of function for cavol using spline.
*/
set more off
mvmb_load prostate_ca

global varsbe cavol svi pgg45 weight

foreach v of var cavol {
	centile `v', c(10 50 90)
	local c10 = r(c_1)
	local c50 = r(c_2)
	local c90 = r(c_3)
	splinegen `v' `c10' `c50' `c90', orthog
}

regress lpsa $varsbe
predict res, res
gen linear = _b[cavol]*cavol
meanzero linear, replace
qui sum lpsa
qui replace linear = linear+r(mean)

regress res cavol_0 cavol_1 cavol_2 cavol_3, nocons
xpredict f, with(cavol_0 cavol_1 cavol_2 cavol_3)
xpredict fs,with(cavol_0 cavol_1 cavol_2 cavol_3) stdp
replace f = f+linear
gen ll = f-1.96*fs
gen ul = f+1.96*fs

twoway ///
 ( rarea ll ul cavol, sort pstyle(ci) ) ///
 ( line f cavol, sort lstyle(refline) pstyle(p2) ) ///
 ( line linear cavol, sort clp(-) ) ///
 , xtitle("Cancer volume", size(large)) ytitle("Functions of cavol", size(large)) ///
   leg(order(3 2) label(3 "Linear") label(2 "Linear + spline") ring(0) pos(11) col(1)) ///
   sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub
set more on
