version 9.2
global stub ch6_f09
/*
	GBSG breast cancer data.
	To show the FP2(-2, -1) "hook" function for nodes.
*/
set more off
mvmb_load gbsg_br_ca

fracpoly stcox enodes 1 age -2 -.5 gradd1 pgr .5 hormon
fracpred fnodes, for(enodes)
meanzero fnodes, replace

fracpoly stcox nodes -2 -1 age -2 -.5 gradd1 pgr .5 hormon
fracpred fnodesz, for(nodes)
qui sum fnodesz
local mean = r(mean)
replace fnodes = fnodes+r(mean)

fracplot nodes, xtitle("nodes", size(large)) ytitle("Log relative hazard", size(large)) ///
 title(" ") addplot(line fnodes nodes, sort clp(_) lwidth(medthick)) legend(off) ///
 sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub
set more on
