version 9.2
global stub ch6_f10
/*
	Prostate data.
	MFP to get boot SE of partial predictors.
*/
set more off
mvmb_load prostate_ca
mvmb_logopen

set seed 101
local rep 200
gen int w = .
sum cavol
local m1 = r(mean)
sum weight
local m2 = r(mean)
qui forval j=1/`rep' {
	bsample, weight(w)
	mfp regress lpsa weight cavol svi [fw=w], sel(1) alpha(.05) adjust(weight:`m2', cavol:`m1') all
	fracpred f1`j', for(cavol) all
	fracpred f2`j', for(weight) all
	gen f3`j' = _b[svi]
	noi di "." _c
}
egen f1se = rowsd(f1*)
egen f2se = rowsd(f2*)
egen f3se = rowsd(f3*)

* on orig sample
fracpoly regress lpsa weight 1 cavol 0 svi, adjust(weight:`m2', cavol:`m1')
fracpred F1, for(cavol)
fracpred F2, for(weight)
fracpred F3, for(svi)
fracpred F1se, for(cavol) stdp
fracpred F2se, for(weight) stdp
gen F3se = _se[svi]

forval j=1/3 {
	gen f`j'll = F`j'-1.96*f`j'se
	gen f`j'ul = F`j'+1.96*f`j'se
	gen F`j'll = F`j'-1.96*F`j'se
	gen F`j'ul = F`j'+1.96*F`j'se
}

residual_plot_cmd F1 f1ll f1ul cavol, nozero

twoway `r(cmd2)' `r(cmd3)' ///
 (line F1 F1ll F1ul cavol, sort clp(l - -) lwidth(medthick ..) lcolor(gs4 ..)) ///
 , xtitle("cavol", size(large)) xla(0(10)40) ytitle("") name(g1, replace) nodraw

residual_plot_cmd F2 f2ll f2ul weight, nozero

twoway `r(cmd2)' `r(cmd3)' ///
 (line F2 F2ll F2ul weight, sort clp(l - -) lwidth(medthick ..) lcolor(gs4 ..)) ///
 , xtitle("weight", size(large)) ytitle("") xla(0(20)120) name(g2, replace) nodraw

graph combine g1 g2, sav($stub, replace) l1title("Partial predictor") ycommon nodraw

gph2emf $stub
gph2eps $stub

graph drop g1 g2
set more on
