version 9.2
global stub ch6_f20
/*
	Whitehall 1 data.
	Goodness of fit for MFP model for chd outcome as Cox model.
	Spline function extension and plot for map variable.
*/
set more off
mvmb_load whitehall1
mvmb_logopen

* Fit MFP model and store linear function for map
fracgen age -0.5, index(4)
fracgen cigs 0, index(4)
stcox age_4 cigs_4 chol ht wt map gradd1 gradd2 gradd3
xpredict f1, with(map)

* MFP model with FP2 for map
fracgen map -2 -2
stcox age_4 cigs_4 chol ht wt map_1 map_2 gradd1 gradd2 gradd3
xpredict f2, with(map_1 map_2)
drop map_1 map_2

* Spline
local v map
centile `v', c(10 50 90)
forval j=1/3 {
	local k`j' = r(c_`j')
}
splinegen `v' `k1' `k2' `k3', orthog
local x `v'_1 `v'_2 `v'_3

stcox age_4 cigs_4 chol ht wt gradd1 gradd2 gradd3 map `x'
xpredict f3, with(map `x')

meanzero f1 f2 f3, replace

gen byte freq = 1
global spikestuff xaxis(2) yaxis(2) yscale(axis(2) r(0 40) off) xscale(axis(2) off) blcolor(black)

qui bysort map: drop if _n>1
twoway ( line f1 f2 f3 map, sort clp(l - _) xtitle("map", size(large)) ///
 ytitle("Log relative hazard", size(large)) ) ///
 ( spike freq map, $spikestuff ) ///
  , yla(-1(1)3) ysca(r(-1.5 3)) leg(label(1 "Linear") label(2 "FP2(-2, -2)") ///
  label(3 "Spline") order(1 2 3) ring(0) pos(11) col(1)) sav($stub, replace) nodraw

gph2emf $stub
gph2eps $stub
set more on
