version 9.2
global stub ch6_t02
/*
	Prostate data.
	Showing 1st derivative for cavol.
*/
set more off
mvmb_load prostate_ca
mvmb_logopen

* For out of sample prediction of derivative
local n = _N
local n3 = `n'+3
set obs `n3'
centile cavol, cent(10 50 90)
forval j=1/3{
	local j2 = `n'+`j'
	qui replace cavol = r(c_`j') in `j2'
}

// Fit suggested MFP model, suppressing adjustment and scaling of cavol
fracpoly regress lpsa cavol 0 svi weight, adjust(no) noscaling all
fracdydx, gen(d) gense(sd)

gen lld = d-1.96*sd
gen uld = d+1.96*sd

list cavol d sd lld uld if _n>`n'

log close
set more on
