global stub mfpicurves
/*
	Kidney cancer data.
	Bootstrap analysis (1000 replicates) of interactions
	between trt and WCC. Using robustifying transformation of wcc.
	Take FP2 treatment-effect curves with selection of adjustment model.

	Note: gives very slightly different results from in the book, since
	serum calcium was not used here but was used in the book
	calculation.
*/
cap prog drop boot
program define boot
args reps x fn
tempvar wt
gen int Weight = .
forvalues j=1/`reps' {
	// Take bootstrap sample via frequency weights
	bsample, weight(Weight)

	// To use frequency weights, we must work with cox not stcox
	qui mfpi cox _t age sex (whod1 whod2) t_dt t_mt rem mets haem [fw=Weight], /*
	 */ dead(_d) select(.05) fp2(`x') with(trt) gendiff(d`j') nosediff all
	* r(nxf) is the number of variables selected by mfp
	di `j', r(nxf)
}
end

set more off
local stub $stub
mvmb_load kidney_ca
mvmb_logopen

gdelta Gwcc = wcc
set seed 101
set rmsg on
boot 1000 Gwcc
drop I*
sort pid
saveold `stub', replace
log close
set more on
set rmsg off
